Bug 164072 - [NEW PORT] databases/percona-{server,client}: Percona fork of MySQL
[NEW PORT] databases/percona-{server,client}: Percona fork of MySQL
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Florian Smeets
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-13 01:10 UTC by pgollucci
Modified: 2012-12-28 19:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pgollucci 2012-01-13 01:10:10 UTC
MySQL is a very fast, multi-threaded, multi-user and robust SQL
(Structured Query Language) database server.

WWW:	http://www.percona.com/software/percona-server/

Generated with FreeBSD Port Tools 0.99

Fix: 

http://people.freebsd.org/~pgollucci/FreeBSD/diffs/percona/
Comment 1 pgollucci freebsd_committer 2012-01-13 01:16:02 UTC
State Changed
From-To: open->repocopy

repo copy databases/mysql55-{client,server} -> 
databases/percona55-{client,server} 


Comment 2 pgollucci freebsd_committer 2012-01-13 01:16:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

repo copy databases/mysql55-{client,server} -> 
databases/percona55-{client,server}
Comment 3 Joe Marcus Clarke freebsd_committer 2012-01-16 04:44:24 UTC
State Changed
From-To: repocopy->open

Repocopy complete. 

Comment 4 Joe Marcus Clarke freebsd_committer 2012-01-16 04:44:24 UTC
Responsible Changed
From-To: portmgr->pgollucci

Repocopy complete.
Comment 5 pav freebsd_committer 2012-01-19 19:21:11 UTC
State Changed
From-To: open->feedback

Proposed Mk/* patch causes large breakage: 

===>  dbow-0.7_1 cannot install: unknown MySQL version: 55/usr/local/bin/mysql  Ver 14.14 Distrib 5.5.20, for FreeBSD8.1 (amd64) using  5.2. 
*** Error code 1
Comment 6 pgollucci 2012-02-15 00:48:56 UTC
This is a multi-part message in MIME format.
Comment 7 pgollucci freebsd_committer 2012-02-15 00:57:06 UTC
Responsible Changed
From-To: pgollucci->pav

back to pav, patch updated
Comment 9 pgollucci 2012-02-29 02:39:53 UTC
This is a multi-part message in MIME format.
Comment 10 dfilter freebsd_committer 2012-05-23 19:53:43 UTC
pgollucci    2012-05-23 18:53:30 UTC

  FreeBSD ports repository

  Modified files:
    databases/percona55-client Makefile 
    databases/percona55-server Makefile distinfo 
  Log:
  - Update the (unconnected) percona ports to be percona instead of MySQL
  
  PR:             ports/164072 (part I)
  
  Revision  Changes    Path
  1.111     +3 -3      ports/databases/percona55-client/Makefile
  1.285     +15 -10    ports/databases/percona55-server/Makefile
  1.138     +2 -2      ports/databases/percona55-server/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 Mark Linimon freebsd_committer 2012-09-03 04:24:10 UTC
State Changed
From-To: open->suspended

Note that after several months of the ports remaining disconnected, I 
removed them from svn (with portmgr hat).  Someone (TM) needs to pick 
up these ports and get them into shape, please.
Comment 12 linimon 2012-09-03 04:25:26 UTC
----- Forwarded message from Alexander Pyhalov <alp@rsu.ru> -----

Date: Wed, 29 Aug 2012 11:49:03 +0400
From: Alexander Pyhalov <alp@rsu.ru>
To: freebsd-ports@FreeBSD.org
Subject: ports/164072 : [NEW PORT] databases/percona-{server,client} status

Hello.
Could someone comment on status of ports/164072?
Have been percona ports ever committed to ports tree?

-- 
Best regards,
Alexander Pyhalov,
system administrator of Computer Center of Southern Federal University

----- End forwarded message -----
Comment 13 linimon 2012-09-03 04:28:33 UTC
On Wed, Aug 29, 2012 at 11:49:03AM +0400, Alexander Pyhalov wrote:
> Could someone comment on status of ports/164072?
> Have been percona ports ever committed to ports tree?

The status of the PR is that it stalled.

The ports were actually committed at one point but never wired up to the
infrastructure.  This situation creates a warning message on each bulk
package build.  Since we are now on SVN, I felt there was little reason
to leave disconnected ports in the tree (most of which were from repocopies
which were started and then abandoned.)  So, I removed them as part of my
overall cleanup.

Some committer needs to come pick this PR up, update the ports so that
they work properly with the infrastructure, and then re-add them.

I apologize for these ports having gotten stalled.

mcl
Comment 14 flo 2012-10-05 22:11:05 UTC
This is a multi-part message in MIME format.
Comment 15 Florian Smeets freebsd_committer 2012-10-05 22:27:43 UTC
State Changed
From-To: suspended->open

Over to portmgr for an exp-run. 


Comment 16 Florian Smeets freebsd_committer 2012-10-05 22:27:43 UTC
Responsible Changed
From-To: pgollucci->portmgr

Over to portmgr for an exp-run.
Comment 17 Beat Gaetzi freebsd_committer 2012-10-18 09:58:08 UTC
Responsible Changed
From-To: portmgr->beat

Take for exp-run.
Comment 19 Florian Smeets freebsd_committer 2012-12-28 19:20:41 UTC
State Changed
From-To: open->closed

Committed. Thanks!